Subject: RE: Threaded Cygwin Python Problem (was Re: Creating a local mirror ...)
From: "Gerald S. Williams" <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Fri, 22 Feb 2002 11:57:25 -0500

Jason Tishler wrote:
> Thanks for your offer to help.  See the following for more details:
>     http://cygwin.com/ml/cygwin-developers/2001-10/msg00191.html
>     http://cygwin.com/ml/cygwin-developers/2001-10/msg00193.html

I have so far been unable to cause test_threadedtempfile to
fail, although I will poke around in thread_pthread.h and
company. It will be harder for me to track since I haven't
duplicated the problem.

I had been under the impression that the community had a
better handle on the problem, just not the fix yet, after
looking at these threads:
  http://www.cygwin.com/ml/cygwin/2001-09/msg01543.html
  http://www.cygwin.com/ml/cygwin-developers/2001-09/msg00438.html

If anyone has any more information about this problem, I'd
appreciate it (you can send to me directly--this is getting
into more detail than we probably ought to for a mailing
list).

I can see some potential race conditions in the Python
code, but it depends on how the underlying implementation
actually works. I'll look into them.

> > Another member of my group found a problem with
> > the Solaris pthreads package that he had to work around.
> 
> Please provide more details on the above.  Maybe the same or similar
> workaround could help for Cygwin too?

I wasn't privy to the details, although I'll shoot him an
e-mail (he's no longer with the company). From the source
code (uncommented, of course), it looks like the workaround
had something to do with signals.

-O Gerald S. Williams, 22Y-103GA : mailto:[email-masked] O-
-O AGERE SYSTEMS, 555 UNION BLVD : office:610-712-8661  O-
-O ALLENTOWN, PA, USA 18109-3286 : mobile:908-672-7592  O-

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/